package com.zjrs.ggfw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.ggfw.rlzysc.dto.*;
import com.zjrs.ggfw.rlzysc.po.RsRlzyZwxxPO;

import java.util.List;

@Mapper
public interface ZwxxMapper extends BaseMapper<RsRlzyZwxxPO> {

    List<ZwxxListDTO> getZwtjListByLatest(@Param("rsyhlsh") String rsyhlsh); //最新职位

    List<ZwxxListDTO> getZwtjListByaSlary(@Param("rsyhlsh") String rsyhlsh); //高薪职位

    List<RsRlzyZwxxPO> getMoreZwtj(); //查看更多

    Page<ZwxxListDTO> getZwxxList(Page<ZwxxListDTO> page,@Param("dto") ZwxxQueryDTO dto); //获取职位列表(不带时间)

    Page<ZwxxListDTO> getZwxxList(Page<ZwxxListDTO> page,@Param("currentDate") String currentDate,@Param("beforeDate") String beforeDate,@Param("dto") ZwxxQueryDTO dto); //获取职位列表（带时间）

    Page<ZwxxListDTO> getZwxxListForgr(Page<ZwxxListDTO> page,@Param("dto") ZwxxQueryDTO dto,@Param("userid") String userid); //获取职位列表（不带时间,给个人用户使用）

    Page<ZwxxListDTO> getZwxxListForgr(Page<ZwxxListDTO> page,@Param("currentDate") String currentDate,@Param("beforeDate") String beforeDate,@Param("dto") ZwxxQueryDTO dto,@Param("userid") String userid); //获取职位列表（带时间,给个人用户使用）

    List<RsRlzyZwxxPO> getZwzntjList(@Param("rsyhlsh")String rsyhlsh);//职位智能推荐

    List<RsRlzyZwxxPO> getRgtjzw(@Param("rsyhlsh")String userid); //人工推荐职位

    List<ZwxxListDTO> getNoLoginZwtj(@Param("dto") SyZwxxQueryDTO dto); //未登录情况下的职位推荐

    Page<ZwxxListDTO> getZwzpfs(Page<ZwxxListDTO> page,@Param("dto")ZwzpfsDTO dto);//获取现场或网络招聘职位

    public RsRlzyZwxxPO getZyxxById(@Param("dto") ZwxxQueryDTO dto);//职位详情

   public List<RsRlzyZwxxPO> getXszw(@Param("zwlx") String zwlx,@Param("zwxxlsh")String zwxxlsh);//相似职位

    public List<RsRlzyZwxxPO> getNoLoginZwzntj();

    public List<ZwxxListDTO> getNoLoginZwtjByaSlary(@Param("dto") SyZwxxQueryDTO dto);

    int getZwCntByZwmc(String qyssr, String zwmc);

    Page<ZwxxListDTO>  getWlzphZw(Page<ZwxxListDTO> page, @Param("dto") ZwzpfsDTO dto);
}

